
from Tkinter import *
import sys, time, traceback

class MpVideo(Canvas):
	def __init__( self, master ):
		Canvas.__init__( self, master )

		self.image_number = 0
		self.update_interval = 1
		self.show_cursor = 0
		self.x_center_fraction = 0.5
		self.y_center_fraction = 0.5
		self.resolution = StringVar()

	def connect( self, url, resolution ):
		pass

	def get_image( self ):
		pass

	def display_image( self ):
		pass

	def image_is_available( self ):
		return None

	def update_image( self ):
		self.image_number = self.image_number + 1

		if ( self.image_is_available() ):

			while ( self.image_is_available() ):
				self.get_image()

			self.display_image()

			self.update()

	def continuous_update( self ):
		try:
			self.update_image()
		except:
			print "Error updating video image!"
			traceback.print_exc()

		self.after( self.update_interval, self.continuous_update )

